package com.gic.haoban.manage.service.dao.mapper.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 好办小程序权限(TabHaobanRole)表数据库访问层
 *
 * @author mozhu
 * @since 2022-09-06 16:35:04
 */
public interface TabHaobanRoleMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param roleId 主键
     * @return 实例对象
     */
    TabHaobanRole queryById(Long roleId);

    /**
     * 新增数据
     *
     * @param tabHaobanRole 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanRole tabHaobanRole);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanRole> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanRole> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanRole 实例对象
     * @return 影响行数
     */
    int update(TabHaobanRole tabHaobanRole);

    /**
     * 根据类型查询企业的菜单权限
     *
     * @param enterpriseId   企业标识
     * @param wxEnterpriseId wx企业标识
     * @param clerkType      职员类型
     * @return {@link List }<{@link TabHaobanRole }>
     * @author mozhu
     * @date 2022-09-07 14:09:07
     */
    List<TabHaobanRole> getByEnterpriseIdAndClerkType(@Param("enterpriseId") String enterpriseId,
                                                      @Param("wxEnterpriseId") String wxEnterpriseId,
                                                      @Param("clerkType") Integer clerkType);
}

